Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2226484 - virglrenderer: FTBFS in Fedora rawhide/f39
Summary: virglrenderer: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: virglrenderer
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 20:21 UTC by Fedora Release Engineering
Modified: 2023-11-19 01:24 UTC (History)
3 users (show)

Fixed In Version: virglrenderer-0.10.4-4.20230104git88b9fe3b.fc39
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-11-19 01:24:01 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 20:21 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 20:21 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 20:21 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 20:21:12 UTC
virglrenderer failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103735049


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix virglrenderer at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
virglrenderer will be orphaned. Before branching of Fedora 40,
virglrenderer will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 20:21:16 UTC
Created attachment 1979785 [details]
build.log

Comment 2 Fedora Release Engineering 2023-07-25 20:21:20 UTC
Created attachment 1979786 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 20:21:22 UTC
Created attachment 1979787 [details]
state.log

Comment 4 Fedora Release Engineering 2023-08-16 08:05:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 5 barsnick 2023-11-08 12:32:25 UTC
BuildRequires:  gcc
also needs to be added for building for F39, not just for F40+.

Comment 6 Fedora Update System 2023-11-10 07:54:56 UTC
FEDORA-2023-e90684f05b has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-e90684f05b

Comment 7 Fedora Update System 2023-11-11 02:30:43 UTC
FEDORA-2023-e90684f05b has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-e90684f05b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-e90684f05b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-11-19 01:24:01 UTC
FEDORA-2023-e90684f05b has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.